package com.neusoft.smart.pos.fumao.constants;


import com.neusoft.smart.pos.framework.constants.CommonCode;

public enum FumaoErrorCode implements CommonCode {
	
	MEMBER_CARD_NOT_EXIST("20001", "会员卡不存在"),
	PAYMENT_PROMOTION_DUPLICATION ("20002", "支付营销优惠重复"),
	PAY_TYPE_EMPTY ("20003", "支付方式为空"),
	CARD_PAY_CARD_ID_EMPTY ("20004", "消费卡号为空");
	
	private String code;
	
	private String message;
	
	private FumaoErrorCode(String code, String message) {
		this.code = code;
		this.message = message;
	}
	
	public String getCode() {
		return code;
	}
	
	public void setCode(String code) {
		this.code = code;
	}
	
	public String getMessage() {
		return message;
	}
	
	public void setMessage(String message) {
		this.message = message;
	}
	
}
